package com.zcloud.zcGbsServicer.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.zcGbsServicer.dto.FireBrigadeMemberAddCmd;
import com.zcloud.zcGbsServicer.dto.FireBrigadeMemberPageQry;
import com.zcloud.zcGbsServicer.dto.FireBrigadeMemberUpdateCmd;
import com.zcloud.zcGbsServicer.dto.FireBrigadeScreenMemberQry;
import com.zcloud.zcGbsServicer.dto.clientobject.FireBrigadeMemberCO;
import com.zcloud.zcGbsServicer.dto.clientobject.FireBrigadeMemberStatusCO;
import com.zcloud.zcGbsServicer.dto.clientobject.FireBrigadeScreenMemberCO;

public interface FireBrigadeMemberServiceI {

    PageResponse<FireBrigadeMemberCO> listPage(FireBrigadeMemberPageQry qry);

    SingleResponse<FireBrigadeMemberCO> add(FireBrigadeMemberAddCmd cmd);

    void edit(FireBrigadeMemberUpdateCmd cmd);

    FireBrigadeMemberCO get(Long id);

    void remove(Long id);

    void removeBatch(Long[] ids);

    SingleResponse<FireBrigadeMemberStatusCO> currentMemberStatus();

    PageResponse<FireBrigadeScreenMemberCO> listScreenMembers(FireBrigadeScreenMemberQry qry);
}
